
import sys

from PyQt5.QtWidgets import QApplication,QLabel, QWidget, QTextEdit, QVBoxLayout,QHBoxLayout

class QtGUI(QWidget):

    def __init__(self):

        super().__init__()

        self.text = QTextEdit()
        self.text.setAcceptRichText(True)
        self.teLabelfix = QLabel("글자 수 : ",self)
        self.teLabel = QLabel(self)


        vbox = QVBoxLayout()
        vLine = QHBoxLayout()
        vLine.addWidget(self.teLabelfix)
        vLine.addWidget(self.teLabel)
        vbox.addLayout(vLine)
        vbox.addWidget(self.text)
        vbox.addStretch()

        self.setLayout(vbox)

        self.text.textChanged.connect(self.text_changed)
        self.setWindowTitle('QTextEdit')
        self.setGeometry(300, 300, 300, 200)
        self.show()


    def text_changed(self):
        value = self.text.toPlainText()
        value1 = value.replace(" ","")
        self.teLabel.setText('공백포함 :'+str(len(value))+'\t'+'공백미포함 :'+str(len(value1)))


if __name__ == '__main__':

    app = QApplication(sys.argv)

    ex = QtGUI()

    app.exec_()
